package download

import (
	"context"
	"downloader/internal/app/api/common/responses"
	"github.com/go-chi/chi"
	"github.com/go-chi/render"
	"net/http"
)

func Context(next http.Handler) http.Handler {
	return http.HandlerFunc(func(w http.ResponseWriter, r *http.Request) {
		if downloadId := chi.URLParam(r, "downloadId"); downloadId != "" {
			ctx := context.WithValue(r.Context(), "downloadId", downloadId)
			next.ServeHTTP(w, r.WithContext(ctx))
		} else {
			_ = render.Render(w, r, responses.ErrNotFound())
			return
		}

	})
}
