package download

import (
	"downloader/internal/core/services/download"
	"github.com/go-chi/chi"
)

type api struct {
	drService download.Service
}

func New(service download.Service) *api {
	return &api{drService: service}
}

func (a *api) SetupDownloadApi(router *chi.Mux) {
	router.Route("/downloads", func(r chi.Router) {
		r.Post("/", a.requestDownload)
		r.Get("/", a.getDownloads)
		r.Route("/{downloadId}", func(r chi.Router) {
			r.Use(Context)
			r.Get("/", a.getDownloadById)
		})
	})
}
