package download_request

import (
	"context"
	"downloader/internal/core/entities"
)

type Repository interface {
	Create(ctx context.Context, download *entities.Download) (*entities.Download, error)
	GetById(ctx context.Context, id string) (*entities.Download, error)
	Update(ctx context.Context, download *entities.Download) error
	Get(ctx context.Context, active bool) ([]*entities.Download, error)
	GetOldOrStuck(ctx context.Context) ([]*entities.Download, error)
	BatchDelete(ctx context.Context, requests []*entities.Download) error
	GetDone(ctx context.Context) ([]*entities.Download, error)
}
